crashpad::internal::Siginfo< Traits > Struct Template Reference

## Public Attributes

int32_t | signo
int32_t | err
int32_t | code
Traits::UInteger32_64Only | padding
union {
struct {
Traits::Address address
} |
struct {
Traits::Long band
int32_t fd
} |
struct {
Traits::Address call_address
int32_t syscall
uint32_t arch
} |
struct {
union {
struct {
pid_t pid
uid_t uid
} |
struct {
int32_t timerid
int32_t overrun
} |
} |
union {
Sigval< Traits > sigval
struct {
int32_t status
Traits::Clock utime
Traits::Clock stime
} |
} |
} |
}; |

The documentation for this struct was generated from the following file:

- snapshot/linux/signal_context.h